import objectdraw.*;
import java.awt.*;

/*
 * Example DoNotEnter: manipulate some "Do Not Enter" signs
 *
 * Jim Teresco, The College of Saint Rose, CSC 252, Spring 2014
 *
 * $Id: DoNotEnter.java 2431 2014-09-19 02:14:45Z terescoj $
 */

public class DoNotEnter extends WindowController {

    private DoNotEnterSign sign1, sign2;
    private boolean draggingSign1, draggingSign2;
    private Location lastMouse;
    
    public void begin() {
    
        sign1 = new DoNotEnterSign(new Location(100, 100), canvas);
        sign2 = new DoNotEnterSign(new Location(300, 150), canvas);
    }
    
    public void onMousePress(Location point) {
        
        lastMouse = point;
        draggingSign1 = sign1.contains(point);
        draggingSign2 = sign2.contains(point);
    
    }
    
    public void onMouseRelease(Location point) {

        if (draggingSign1) {
            sign1.move(point.getX() - lastMouse.getX(),
                       point.getY() - lastMouse.getY());
        }
        if (draggingSign2) {
            sign2.move(point.getX() - lastMouse.getX(),
                       point.getY() - lastMouse.getY());
        }
    
    }
   
    public void onMouseMove(Location point) {
    
    }
    
    public void onMouseDrag(Location point) {
    
        if (draggingSign1) {
            sign1.move(point.getX() - lastMouse.getX(),
                       point.getY() - lastMouse.getY());
        }
        if (draggingSign2) {
            sign2.move(point.getX() - lastMouse.getX(),
                       point.getY() - lastMouse.getY());
        }
        lastMouse = point;
    }
    
    public void onMouseEnter(Location point) {
    
        sign1.showCircle();
        sign2.showCircle();
    }
    
    public void onMouseExit(Location point) {
    
        sign1.hideCircle();
        sign2.hideCircle();
    }
}
